Subject: Re: bug#8504: add more query-replace choice keys

From: Juri Linkov <[email-masked]>
Date: Wed, 11 May 2022 20:09:20 +0300

>> In Isearch the key `M-c' toggles case-fold searching.
>> Maybe the same key could toggle case-fold replacement in query-replace?
>
> Yes, that might be nice.  But I think adding a command to do
> a case-sensitive edit would be good, too.
>
> When I run into these issues, I'm usually fine with most of the
> replacements it's doing, but I just want a single (or a couple) of
> replacements to be something specifically different, and having a new
> command (like `e' or something) to do that would be handy.

This would be nice mnemonics: `E' for case-sensitive editing,
and `e' case-insensitive.